<?php

namespace App\Http\Resources\API;

use Illuminate\Http\Resources\Json\JsonResource;

class User extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => (int)$this->id,
            'username' => $this->username,
            'created_at' => $this->created_at,
            'updated_at' => $this->created_at,
            'primaryMail' => $this->getMail(),
            'status' => $this->status,
            'inviteCode' => $this->inviteCode,
            'developer' => (bool)$this->developer,
            'admin' => (bool)$this->admin
        ];
    }
}