<?php include(__DIR__."/../layout/top.php"); ?>
    <div class="row">
        <div class="col-md-12">
            <ul class="nav nav-tabs" id="myTab" role="tablist">
                <li class="nav-item">
                    <a class="nav-link active" id="home-tab" data-toggle="tab" href="#overview" role="tab" aria-controls="overview" aria-selected="true">Overview</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="profile-tab" data-toggle="tab" href="#mail" role="tab" aria-controls="mail" aria-selected="false">E-Mail adressen</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" id="profile-tab" data-toggle="tab" href="#password" role="tab" aria-controls="password" aria-selected="false">Password</a>
                </li>
            </ul>
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="overview" role="tabpanel" aria-labelledby="overview-tab">
                    <h3>Profile</h3>
                    Here you can change your Profile Settings.
                </div>
                <div class="tab-pane fade" id="mail" role="tabpanel" aria-labelledby="mail-tab">
                    <h4>E-Mail adresses</h4>
                    <table class="table">
                        <tr>
                            <th>E-Mail</th>
                            <th>Status</th>
                            <th>Primary E-Mail</th>
                            <th>Action</th>
                        </tr>
                        <?php
                        foreach($mails as $mail) {
                            ?>
                            <tr>
                                <td><?php echo $mail->mail; ?></td>
                                <td><?php echo ucfirst($mail->status); ?></td>
                                <td><?php if($mail->primary) { echo '<i class="fas fa-check-circle"></i>'; } ?></td>
                                <td>


                                    <?php
                                    if(!$mail->primary) {
                                        echo '<a href="/gui/profile/removeMail?mail='.$mail->id.'" class="btn btn-danger btn-sm">Remove</a> ';
                                    }
                                    if($mail->status == "valide" && !$mail->primary) {
                                        echo '<a href="/gui/profile/changePrimaryMail?mail='.$mail->id.'" class="btn btn-warning btn-sm">Use as Primary Mail Adress</a> ';
                                    }
                                    ?>


                                </td>
                            </tr>
                            <?php
                        }
                        ?>
                    </table>
                    <br>
                    <b>Add a new E-Mail adresse</b>
                    <p>You can add multible Mail Addresses to your Account, to add another one enter the address in the form below. After that we send you a E-Mail to validate the Address.</p>
                    <form method="post" action="/gui/profile/addMail">
                        <input type="email" name="mail" class="form-control" placeholder="mail@example.com"><br>
                        <input type="submit" value="Add E-Mail" class="btn btn-success">
                    </form>
                </div>
                <div class="tab-pane fade" id="password" role="tabpanel" aria-labelledby="password-tab">
                    <p>Change your Account Password.</p>
                    <form method="post" action="/gui/profile/changePassword">
                        <input type="password" name="password" class="form-control" placeholder="New Password"><br>
                        <input type="submit" class="btn btn-warning" value="Change Password">
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php include(__DIR__."/../layout/bottom.php"); ?>